var domain = '填写站长域名'

function goToPDDShop (request, sender, sendResponse) {
  try {
    chrome.tabs.create({
      url: 'https://mms.pinduoduo.com/print/order/list',
      selected: true,
      pinned: false
    }, function (tab) {
      domain = request.domain
      tabBuffer[tab.id] = {}
      tabBuffer[tab.id] = {
        domain: request.domain
      }
      tabRelation[tab.id] = sender.tab.id
      console.log(tabBuffer)
      sendResponse(request)
    })
  } catch (e) {
    console.log(e.message)
  }
}

function goToTaoBaoShop (request, sender, sendResponse) {
  try {
    chrome.tabs.create({
      url: 'https://wuliu.taobao.com/user/order_list_new.htm?order_status_show=send',
      selected: true,
      pinned: false
    }, function (tab) {
      domain = request.domain
      tabBuffer[tab.id] = {}
      tabBuffer[tab.id] = {
        domain: request.domain
      }
      tabRelation[tab.id] = sender.tab.id
      console.log(tabBuffer)
      sendResponse(request)
    })
  } catch (e) {
    console.log(e.message)
  }
}

function checkLoginStatus (request, sender, sendResponse) {
  try {
    let giftTabId = sender.tab.id
    let tabId = tabRelation[giftTabId]
    chrome.tabs.sendRequest(tabId, {
      type: 'test',
    }, function (response) {
      let tabIndex = ''
      let windowId = ''
      chrome.tabs.query({},
        tabs => {
          tabs.forEach((item, index) => {
            if (item.id == tabId) {
              tabIndex = item.index
              windowId = item.windowId
            }
          })
        }
      )

    })
    sendResponse({
      tab_id: tabId
    })
  } catch (e) {
    console.log(e.message)
  }
}

function backToLiPinGift (request, sender, sendResponse) {
  try {
    let giftTabId = sender.tab.id
    let tabId = tabRelation[giftTabId]
    chrome.tabs.sendRequest(tabId, {
      type: 'writeOrderList',
      orderType: request.orderType,
      orderList: request.orderList
    }, function (response) {
      let tabIndex = ''
      let windowId = ''
      chrome.tabs.query({},
        tabs => {
          tabs.forEach((item, index) => {
            if (item.id == tabId) {
              tabIndex = item.index
              windowId = item.windowId
            }
          })
          chrome.tabs.highlight({
            windowId: windowId,
            tabs: tabIndex
          }, function (response) {
            console.log(response)
          })
        }
      )

    })
    sendResponse({
      tab_id: tabId
    })
  } catch (e) {
    console.log(e.message)
  }
}
