$(function () {
  let result = ''
  chrome.extension.sendRequest({
    type: 'checkLoginStatus',
    orderType: 'taobao'
  }, function (response) {
    console.log(response)
    result = response
  })
  setTimeout(() => {
    if (result !== '') {
      showMessage('检测到您的淘宝账号还没有登录<br />请登录后回到礼品网再次点击【淘宝自动发货】!', 5000, true, 'bounceInUp-hastrans', 'bounceOutDown-hastrans')
    }
  }, 1000)
})


function showMessage (content, duration, isCenter, animateIn, animateOut) {
  let myAnimateIn = animateIn || 'fadeIn'
  let myAnimateOut = animateOut || 'fadeOut'
  let myContent = content || '这是一个提示信息'
  let myDuration = duration || '3000'
  let myIsCenter = isCenter || false
  $('body').toast({
    position: 'fixed',
    animateIn: myAnimateIn,
    animateOut: myAnimateOut,
    content: myContent,
    duration: myDuration,
    isCenter: myIsCenter,
  })
}
