let hasCheckPDD = false
let g_setIntel = 0
let list = []

$(function () {
  let pluginDiv = document.createElement('div')
  pluginDiv.innerHTML = `
	<div style="position: fixed;right: 100px;top:210px;z-index:100001;display: flex;justify-content: space-around;align-items: center;">
		<div id="pddDecrypt" style="margin-right:10px;line-height:40px;font-size:20px;color:white;height:40px;text-align: center; background-image: linear-gradient(to right, #fa709a 0%, #fee140 100%);padding:5px 20px; cursor:pointer;border-radius:5px">开始解密</div>
		<div id="backOrder" style="display:none;margin-right:10px;line-height:40px;font-size:20px;color:white;height:40px;text-align: center; background-image: linear-gradient(to top, #37ecba 0%, #72afd3 100%);padding:5px 20px; cursor:pointer;border-radius:5px">返回礼品网下单</div>
		<div id="copyOrder" style="display:none;margin-right:10px;line-height:40px;font-size:20px;color:white;height:40px;text-align: center; background-image: linear-gradient(to right, #b8cbb8 0%, #b8cbb8 0%, #b465da 0%, #cf6cc9 33%, #ee609c 66%, #ee609c 100%);padding:5px 20px; cursor:pointer;border-radius:5px">复制订单信息</div>
	</div>`
  document.body.appendChild(pluginDiv)

  $('#backOrder').click(() => {
    pushOrder()
  })

  $('#copyOrder').click(() => {
    copyOrder()
  })

  $('#pddDecrypt').click(() => {
    let expressWarning = false, addressWarning = false
    for (let i = 1; i <= 5; i++) {
      let warningDom = document.querySelector(`#root > div.billing-tool-content.sc-bdVaJa.kqqVHe > div.sc-jzJRlG.lcRwhj > div > div:nth-child(${i}) > div > div`)
      if (warningDom) {
        let text = warningDom.innerText
        if (text == '您还未设置快递模板，打印快递单功能暂时不可用去设置') {
          expressWarning = true
          break
        } else if (text == '您还未设置发货地址，打印快递单功能暂时不可用去设置') {
          addressWarning = true
          break
        }
      }
    }
    if (expressWarning) {
      showMessage('请先设置快递模板!', 3000, true, 'bounceInUp-hastrans', 'bounceOutDown-hastrans')
    } else if (addressWarning) {
      showMessage('请先设置发货地址!', 3000, true, 'bounceInUp-hastrans', 'bounceOutDown-hastrans')
    } else {
      let $checked = $('tbody [data-checked=true]')
      if ((!$checked) || (!$checked.length)) {
        showMessage('请先勾选需要解密的订单!', 3000, true, 'bounceInUp-hastrans', 'bounceOutDown-hastrans')
      } else {
        if($('#pddDecrypt').text()=='重新解密'){
          $('#loadingPage').show()
        }else{
          $.MyCommon.PageLoading({ loadingTips: '解密中，请耐心等待...' })
        }
        $('#backOrder').hide()
        $('#copyOrder').hide()
        $('#pddDecrypt').html('解密中...')
        hasCheckPDD = false
        clearInterval(g_setIntel)
        g_setIntel = setInterval('decrypt()', 5000)
        decrypt()
      }
    }
  })
})

function showMessageToSpan (obj) {
  if (obj.cmd == 'end') {
    hasCheckPDD = true
    $('#pddDecrypt').html('重新解密')
    $('#loadingPage').hide()
    $('#backOrder').show()
    $('#copyOrder').show()
    showMessage('已全部解密完成!', 3000, true, 'bounceInUp-hastrans', 'bounceOutDown-hastrans')
  }
}

function decrypt () {
  let $checked = $('tbody [data-checked=true]')
  let x = []
  if ($checked && $checked.length) {
    $checked.each(function () {
      let listDom = $(this).closest('tr')
      let flag = true
      if (listDom && listDom.length) {
        listDom.each(function () {
          let xx = $(this).find('[data-testid=beast-core-icon-lock]')
          if (xx && xx.length) {
            x = xx
            flag = false
            return flag
          }
        })
        if (!flag) {
          return flag
        }
      }
    })
  }
  if (x && x.length) {
    showMessageToSpan({ cmd: 'start' })
    x[0].click()
    setTimeout(()=>{
      let $checked = $('tbody [data-checked=true]')
      let x = []
      if ($checked && $checked.length) {
        $checked.each(function () {
          let listDom = $(this).closest('tr')
          let flag = true
          if (listDom && listDom.length) {
            listDom.each(function () {
              let xx = $(this).find('[data-testid=beast-core-icon-lock]')
              if (xx && xx.length) {
                x = xx
                flag = false
                return flag
              }
            })
            if (!flag) {
              return flag
            }
          }
        })
      }
      if (x && x.length) {

      }else{
        clearInterval(g_setIntel)
        g_setIntel = 0
        showMessageToSpan({ cmd: 'end' })
      }
    },1500)
  } else {
    clearInterval(g_setIntel)
    g_setIntel = 0
    showMessageToSpan({ cmd: 'end' })
  }
}

function format (str) {
  str = str.replace('/', ' ').replace('/', ' ').trim()
  return str
}

function copyOrder () {
  if (hasCheckPDD) {
    getOrder()
    let orderList = list.join('\r\n')
    const textarea = document.createElement('textarea')
    textarea.value = orderList
    document.body.appendChild(textarea)
    textarea.select()
    if (document.execCommand('copy')) {
      document.execCommand('copy')
      showMessage('复制成功!', 3000, true, 'bounceInUp-hastrans', 'bounceOutDown-hastrans')
    }else{
      showMessage('当前浏览器不支持复制功能!', 3000, true, 'bounceInUp-hastrans', 'bounceOutDown-hastrans')
    }
    document.body.removeChild(textarea)
  } else {
    showMessage('请先解密订单!', 3000, true, 'bounceInUp-hastrans', 'bounceOutDown-hastrans')
  }
}

function pushOrder () {
  if (hasCheckPDD) {
    getOrder()
    let orderList = list.join('\r\n')
    let result = ''
    chrome.extension.sendRequest({
      type: 'backToLiPinGift',
      orderType: 'pdd',
      orderList: orderList
    }, function (response) {
      console.log(response)
      result = response
    })
    setTimeout(()=>{
      if(result===''){
        showMessage('找不到回去的路啦，返回失败!', 3000, true, 'bounceInUp-hastrans', 'bounceOutDown-hastrans')
      }else{
        showMessage('若长时间没有返回，请检查是否把网站关闭了!', 3000, true, 'bounceInUp-hastrans', 'bounceOutDown-hastrans')
      }
    },1000)
  } else {
    showMessage('请先解密订单!', 3000, true, 'bounceInUp-hastrans', 'bounceOutDown-hastrans')
  }
}

function getOrder () {
  list.length = 0
  let listDom = $('[data-testid=beast-core-table-middle-tbody]').find('tr')
  listDom.each(function () {
    let order_id = $(this).find('td').find('.order-sn').text()
    let infoList = $(this).find('td')
    if (infoList != null && infoList != undefined) {
      let phone = infoList[3].innerText
      if (phone != '' && phone.indexOf('*') == -1) {
        let name = infoList[2].innerText
        let addr1 = infoList[4].innerText
        let addr2 = infoList[5].innerText
        let addressInfo = format(name + ',' + phone + ',' + addr1 + ' ' + addr2+','+order_id)
        list.push(addressInfo)
      }
    }
  })
}

function showMessage (content, duration, isCenter, animateIn, animateOut) {
  let myAnimateIn = animateIn || 'fadeIn'
  let myAnimateOut = animateOut || 'fadeOut'
  let myContent = content || '这是一个提示信息'
  let myDuration = duration || '3000'
  let myIsCenter = isCenter || false
  $('body').toast({
    position: 'fixed',
    animateIn: myAnimateIn,
    animateOut: myAnimateOut,
    content: myContent,
    duration: myDuration,
    isCenter: myIsCenter,
  })
}
